Page MenuHomePhabricator

gadget regression: addPortletLink doesn't reveal hidden menus in Vector any more [causes disappearance of merge datas on Wikidata]
Closed, ResolvedPublic

Description

Multiple users are reporting (and I confirm) that Merge gadget disappeared on Wikidata when using Vector skin

https://www.wikidata.org/wiki/Wikidata:Project_chat#Merge_gadget_issues?

The problem seems to be with the hidden tabs (which appear from the dropdown menu) and usually include gadgets. This dropdown menu does not appear anymore at all in Vector skin.

Gadgets are still displayed in other skins (e.g. it works in Monobook).

As a result, item merges are too complicated on Wikidata which significantly harms the ability to edit.

Developer notes

The mediawiki core method addPortletLink runs $portlet.removeClass( 'emptyPortlet' );
This should be the responsibility of Vector. Let's move that to its JS.

Event Timeline

NickK created this task.May 28 2020, 8:20 PM
Restricted Application added subscribers: Base, Aklapper. · View Herald TranscriptMay 28 2020, 8:20 PM
NickK triaged this task as High priority.May 28 2020, 8:20 PM

The gadget is there, it's just the menu is hidden

As a short term fix I suggest adding the following rule to the gadget:

#p-cactions.vector-menu-empty  { display: block; }

I'll look for a better long term fix.

Change 599437 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/Vector@master] WIP: addPortletLink should reveal hidden menus

https://gerrit.wikimedia.org/r/599437

Jdlrobson updated the task description. (Show Details)May 28 2020, 8:44 PM
Jdlrobson renamed this task from Hidden (dropdown) tabs (gadgets etc.) disappeared on Wikidata in Vector skin to addPortletLink doesn't reveal hidden menus in Vector any more [causes disappearance of merge datas on Wikidata].May 28 2020, 8:45 PM
NickK added a comment.May 28 2020, 8:47 PM

The gadget is there, it's just the menu is hidden

As a short term fix I suggest adding the following rule to the gadget:

#p-cactions.vector-menu-empty  { display: block; }

I'll look for a better long term fix.

It's not just one gadget. Everything I had in the dropdown menu disappeared with the menu itself. You will basically have to fix all gadgets affected

I understand hence the "short term fix" part :) - that will patch wikidata in the mean time.

A fix will be coming soon, but it will take a bit longer.

Change 599439 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/core@master] Clarify expectations around

https://gerrit.wikimedia.org/r/599439

I understand hence the "short term fix" part :) - that will patch wikidata in the mean time.

A fix will be coming soon, but it will take a bit longer.

I am not a Wikidata admin, but perhaps @Ymblanter who commented on this on Wikidata can have a look? Thanks

Robby added a subscriber: Robby.May 28 2020, 9:19 PM
Robby added a comment.May 28 2020, 9:27 PM

Is this issue linked to T252800 ? indeed it is in some way similar as it affects as well just Vector skin and has an impact on displayed menu items.

No T252800 is unrelated.

Change 599468 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/Vector@master] Hotfix: Cannot rename emptyPortlet to empty-portlet yet.

https://gerrit.wikimedia.org/r/599468

Change 599469 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/Vector@wmf/1.35.0-wmf.34] Hotfix: Cannot rename emptyPortlet to empty-portlet yet.

https://gerrit.wikimedia.org/r/599469

Change 599468 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Hotfix: Cannot rename emptyPortlet to empty-portlet yet.

https://gerrit.wikimedia.org/r/599468

Nirmos added a subscriber: Nirmos.May 28 2020, 11:28 PM

Change 599469 merged by jenkins-bot:
[mediawiki/skins/Vector@wmf/1.35.0-wmf.34] Hotfix: Cannot rename emptyPortlet to empty-portlet yet.

https://gerrit.wikimedia.org/r/599469

Mentioned in SAL (#wikimedia-operations) [2020-05-28T23:48:35Z] <jforrester@deploy1001> Synchronized php-1.35.0-wmf.34/skins/Vector/resources/skins.vector.styles/Menu.less: T253912 Hotfix: Cannot rename emptyPortlet to empty-portlet yet (duration: 00m 59s)

Jdlrobson closed this task as Resolved.May 29 2020, 12:04 AM
Jdlrobson claimed this task.

This should be fixed now. Stopping this happening again will be continued in T253938

Jdlrobson renamed this task from addPortletLink doesn't reveal hidden menus in Vector any more [causes disappearance of merge datas on Wikidata] to gadget regression: addPortletLink doesn't reveal hidden menus in Vector any more [causes disappearance of merge datas on Wikidata].May 29 2020, 12:04 AM
Jdlrobson added a project: Regression.

Change 600358 had a related patch set uploaded (by Aron Manning; owner: Aron Manning):
[mediawiki/skins/Vector@master] Hotfix: Cannot rename .emptyPortlet to .vector-menu-empty yet. JS follow-up.

https://gerrit.wikimedia.org/r/600358

He7d3r added a subscriber: He7d3r.Jun 18 2020, 10:45 AM